Bug 488931 - ACLs on NFS mounted directories disappear
ACLs on NFS mounted directories disappear
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Steve Dickson
Petr Beňas
: Regression
Depends On:
Blocks: 583726
  Show dependency treegraph
 
Reported: 2009-03-06 04:15 EST by Tomas Smetana
Modified: 2015-01-04 17:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 10:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backported patch (1.19 KB, patch)
2009-03-06 04:16 EST, Tomas Smetana
no flags Details | Diff

  None (edit)
Description Tomas Smetana 2009-03-06 04:15:15 EST
Description of problem:
There is a bug in the client-side NFS caching which causes the ACLs on a NFS mounted directories to "disappear".

Version-Release number of selected component (if applicable):
kernel-2.9.9-42.EL and any newer

How reproducible:
always

Steps to Reproduce:
On a server side (whatever system):
1. Create a NFS export: e.g. write into /etc/exports something like this:
/tmp *(rw,no_root_squash)
2. Create a testing directory: mkdir /tmp/test1
3. Change its ACL somehow, e.g.: setfacl -m u:tsmetana:w /tmp/test1

On a client side (RHEL-4):
4. mount -t nfs <server>:/tmp -o rw /mnt/nfs_test
5. cd /mnt/nfs_test/test1
6. getfacl . (the output shows correct ACLs)
7. mkdir dir1
8. getfacl . (this output is different from the previous)

Actual results:
Only the default ACL is shown:
# file: .
# owner: root
# group: root
user::rwx
group::rwx
other::r-x

Expected results:
The correct ACLs is shown:
# file: .
# owner: root
# group: root
user::rwx
user:tsmetana:-w-
group::r-x
mask::rwx
other::r-x

Additional info:
This is a known bug that was fixed in the commit 4814f56d19137b3b9fa8e00e1d332b3683b950de NFSv3: Client-side nfsacl caching fix
Comment 1 Tomas Smetana 2009-03-06 04:16:24 EST
Created attachment 334273 [details]
Backported patch
Comment 12 RHEL Product and Program Management 2009-06-05 09:46:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Vivek Goyal 2009-08-19 10:45:04 EDT
Committed in 89.10.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 19 Petr Beňas 2010-12-08 10:34:06 EST
Reproduced in 89.9.EL and verified in 89.10.EL.
Comment 21 errata-xmlrpc 2011-02-16 10:55:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.